using System;
using RepoDb.Enumerations;
using ServiciosEscritorioSAT.Models;

namespace ServiciosEscritorioSAT.Helpers {
    public class FilterOperationTranslator {
        public static Operation Translate(FilterOperation filterOperation) {
            switch (filterOperation) {
                case FilterOperation.EQUAL:
                    return Operation.Equal;
                case FilterOperation.GREATER_THAN:
                    return Operation.GreaterThan;
                case FilterOperation.GREATER_THAN_OR_EQUAL:
                    return Operation.GreaterThanOrEqual;
                case FilterOperation.IN:
                    return Operation.In;
                case FilterOperation.LESS_THAN:
                    return Operation.LessThan;
                case FilterOperation.LESS_THAN_OR_EQUAL:
                    return Operation.LessThanOrEqual;
                case FilterOperation.LIKE:
                    return Operation.Like;
                case FilterOperation.NOT_EQUAL:
                    return Operation.NotEqual;
                case FilterOperation.NOT_IN:
                    return Operation.NotIn;
                case FilterOperation.NOT_LIKE:
                    return Operation.NotLike;
            }
            throw new ArgumentException("Unknown value for FilterOperation");
        }
    }
}