using System;
using System.Collections.Generic;
using System.Linq;
using System.Data.SqlClient;
using ServiciosEscritorioSAT.Models;
using RepoDb;
using RepoDb.Enumerations;

namespace ServiciosEscritorioSAT.Repositories {
    public class UsuariosRepository {
        public IEnumerable<Usuario> Query() {
            using (var connection = new SqlConnection(Environment.GetEnvironmentVariable(Constantes.CONNECTION_STRING))) {
                var orderBy = OrderField.Parse(new {
                    user_name = Order.Ascending
                });
                return connection.QueryAll<Usuario>(orderBy: orderBy).ToArray();
            }
        }

        public Usuario GetByUserName(string userName) {
            using (var connection = new SqlConnection(Environment.GetEnvironmentVariable(Constantes.CONNECTION_STRING))) {
                return connection.Query<Usuario>(u => u.user_name == userName).FirstOrDefault();
            }
        }

        public Usuario GetByAccessDef(int access_def) {
            using (var connection = new SqlConnection(Environment.GetEnvironmentVariable(Constantes.CONNECTION_STRING))) {
                return connection.Query<Usuario>(u => u.access_def == access_def).FirstOrDefault();
            }
        }
    }
}