import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthenticatedGuard } from './common/services/authenticated.guard';
import { AuthenticationComponent } from './components/authentication/authentication.component';
import { LogoutComponent } from './components/logout/logout.component';
import { MainDesktopComponent } from './components/main-desktop/main-desktop.component';
import { NoAuthComponent } from './components/no-auth/no-auth.component';

const routes: Routes = [
  {
    path: 'auth/:user_name',
    component: AuthenticationComponent
  },
  {
    path: '',
    component: MainDesktopComponent,
    canActivate: [AuthenticatedGuard]
  },
  {
    path: 'no_auth',
    component: NoAuthComponent
  },
  {
    path: 'logout',
    component: LogoutComponent
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
