import { Component, OnInit, ViewChild } from '@angular/core';
import { MatSidenav } from '@angular/material/sidenav';
import { Store } from '@ngrx/store';
import { AppState } from './app.reducers';

@Component({
  selector: 'esat-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  @ViewChild("notificacionesContainer") notificacionesContainer: MatSidenav|null = null;

  constructor(
    private store: Store<AppState>
  ) { }

  ngOnInit(): void {
    this.store.select("desktop").subscribe(data => {
      if (data.notificacionesOpen) {
        this.notificacionesContainer?.open();
      } else {
        this.notificacionesContainer?.close();
      }
    });
  }


}
