import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import AuthenticatedUser from '../models/authenticated-user';

@Injectable({
  providedIn: 'root'
})
export class AuthenticationService {

  static SERVICE_URL = "/servicios/auth";

  currentUser: AuthenticatedUser | null = null;

  httpOptions = {
    headers: new HttpHeaders({'Content-type': 'application/json'})
  }

  constructor(private http: HttpClient) { }

  authenticate(user_name: string): Observable<AuthenticatedUser> {
    return this.http.get<AuthenticatedUser>(
      `${AuthenticationService.SERVICE_URL}/authenticate/${user_name}`,
      this.httpOptions
    );
  }
}
