import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Store } from '@ngrx/store';
import { AppState } from 'src/app/app.reducers';
import * as desktopActions from '../../state/actions';

@Component({
  selector: 'esat-authentication',
  templateUrl: './authentication.component.html',
  styleUrls: ['./authentication.component.scss']
})
export class AuthenticationComponent implements OnInit {

  constructor(
    private route: ActivatedRoute,
    private store: Store<AppState>
  ) { }

  ngOnInit(): void {
    const user_name = this.route.snapshot.paramMap.get('user_name');
    if (user_name === null || user_name.length === 0) {
      this.store.dispatch(desktopActions.authenticateUserError({error:"No se ha identificado al usuario"}));
    } else {
      this.store.dispatch(desktopActions.authenticateUser({user_name:user_name}));
    }
  }

}
