import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { AppState } from 'src/app/app.reducers';
import IApplication from 'src/app/common/models/iapplication';
import * as desktopActions from "../../state/actions";

@Component({
  selector: 'esat-main-desktop',
  templateUrl: './main-desktop.component.html',
  styleUrls: ['./main-desktop.component.scss']
})
export class MainDesktopComponent implements OnInit {

  apps: IApplication[] = [];

  constructor(
    private store: Store<AppState>
  ) { }

  ngOnInit(): void {
    this.store.dispatch(desktopActions.loadUsers());
    this.store.select("desktop").subscribe(data => {
      if (data && data.registeredApps.length > 0) {
        this.apps = data.registeredApps;
      }
    })
  }

  open(app: IApplication) {
    this.store.dispatch(desktopActions.openApplication({app:app}));
  }

}
