import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { AppState } from 'src/app/app.reducers';
import * as DesktopActions from "../../state/actions";

@Component({
  selector: 'esat-main-menu',
  templateUrl: './main-menu.component.html',
  styleUrls: ['./main-menu.component.scss']
})
export class MainMenuComponent implements OnInit {

  static DESKTOP_TITLE: string = "Escritorio SAT";

  title: string = MainMenuComponent.DESKTOP_TITLE;
  
  constructor(
    private store: Store<AppState>, 
  ) { }

  ngOnInit(): void {
    this.store.select("desktop").subscribe(data => {
      if (data.currentApp !== null) {
        this.title = data.currentApp.name;
      } else {
        this.title = MainMenuComponent.DESKTOP_TITLE;
      }
    });
  }

  openDesktop(): void {
    this.store.dispatch(DesktopActions.openDesktop());
  }
}
