import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { AppState } from 'src/app/app.reducers';
import Notification from 'src/app/common/models/notification';
import * as desktopActions from '../../state/actions';

@Component({
  selector: 'esat-main-notificaciones-container',
  templateUrl: './main-notificaciones-container.component.html',
  styleUrls: ['./main-notificaciones-container.component.scss']
})
export class MainNotificacionesContainerComponent implements OnInit {

  notificaciones: Notification[] = [];

  constructor(private store: Store<AppState>) { }

  ngOnInit(): void {
    this.store.select("desktop").subscribe(data => {
      this.notificaciones = data.notificaciones;
    })
  }

  marcarLeido(notificacion:Notification): void {
    this.store.dispatch(desktopActions.readNotification({notification:notificacion}));
  }

}
