import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { AppState } from 'src/app/app.reducers';
import * as DesktopActions from "../../state/actions";

@Component({
  selector: 'esat-main-notificaciones',
  templateUrl: './main-notificaciones.component.html',
  styleUrls: ['./main-notificaciones.component.scss']
})
export class MainNotificacionesComponent implements OnInit {

  unread: number = 0;

  constructor(
    private store: Store<AppState>
  ) { }

  ngOnInit(): void {
    this.store.select("desktop").subscribe(data => {
      this.unread = data.notificaciones.filter(x => x.read !== true).length;
    });
  }

  toggleContainer(): void {
    this.store.dispatch(DesktopActions.toggleNotificacionesContainer());
  }

}
