import { Component, Input, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { AppState } from 'src/app/app.reducers';
import Usuario from 'src/app/common/models/usuario';
import Estacionada from '../../models/estacionada';
import Tipologia from '../../models/tipologia';
import * as estacionadasActions from '../../state/actions';

@Component({
  selector: 'tr[esat-fila-estacionadas]',
  templateUrl: './fila-estacionadas.component.html',
  styleUrls: ['./fila-estacionadas.component.scss']
})
export class FilaEstacionadasComponent implements OnInit {

  @Input() fila!: Estacionada;
  @Input() tipologias!: Tipologia[];
  @Input() usuarios!: Usuario[];

  seleccionada: boolean = false;

  constructor(private store: Store<AppState>) { }

  ngOnInit(): void { }

  obtenerNombreTipologia(id: number): string {
    const tipologia = this.tipologias.find(x => x.id === id);
    if (tipologia) {
      return tipologia.nombre;
    } else {
      return '';
    }
  }

  obtenerNombreUsuario(access_ref: number | null): string {
    if (access_ref) {
      const usuario = this.usuarios.find(x => x.access_def == access_ref);
      if (usuario) {
        return usuario.user_name;
      }
    }
    return '';
  }

  seleccionar(): void {

  }

}
