import { Component, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { Store } from '@ngrx/store';
import { AppState } from 'src/app/app.reducers';
import Usuario from 'src/app/common/models/usuario';

@Component({
  selector: 'esat-formulario-asignacion-estacionadas',
  templateUrl: './formulario-asignacion-estacionadas.component.html',
  styleUrls: ['./formulario-asignacion-estacionadas.component.scss']
})
export class FormularioAsignacionEstacionadasComponent implements OnInit {

  usuarios: Usuario[] = [];
  seleccion: any;

  constructor(
    private store: Store<AppState>,
    private dialogRef: MatDialogRef<FormularioAsignacionEstacionadasComponent>
  ) { }

  ngOnInit(): void {
    this.store.select("desktop").subscribe(datos => {
      this.usuarios = datos.usuarios;
    });
  }

  cancelar(): void {
    this.dialogRef.close();
  }

  asignar(usuario: Usuario): void {
    this.dialogRef.close(usuario);
  }
}
