import { Component, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { Store } from '@ngrx/store';
import { AppState } from 'src/app/app.reducers';
import EstacionadaMotivo from '../../models/estacionada-motivo';

@Component({
  selector: 'esat-formulario-realizacion-estacionada',
  templateUrl: './formulario-realizacion-estacionada.component.html',
  styleUrls: ['./formulario-realizacion-estacionada.component.scss']
})
export class FormularioRealizacionEstacionadaComponent implements OnInit {

  motivos: EstacionadaMotivo[] = [];

  constructor(
    private store:Store<AppState>,
    private dialogRef: MatDialogRef<FormularioRealizacionEstacionadaComponent>
  ) { }

  ngOnInit(): void {
    this.store.select("estacionadas").subscribe(datos => {
      this.motivos = datos.motivos;
    });
  }

  cancelar(): void {
    this.dialogRef.close();
  }

  realizar(motivo: EstacionadaMotivo): void {
    this.dialogRef.close(motivo);
  }
}
