import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { Store, StoreModule } from "@ngrx/store";
import { EffectsModule } from "@ngrx/effects";
import { EstacionadasComponent } from './estacionadas.component';
import * as EstacionadasEffects from './state/effects';
import { estacionadasReducers } from './state/reducers';
import estacionadasApplication from "./estacionadas.application";
import { AppState } from 'src/app/app.reducers';
import * as DesktopActions from "../../state/actions";
import { TablaEstacionadasComponent } from './componentes/tabla-estacionadas/tabla-estacionadas.component';
import { FilaEstacionadasComponent } from './componentes/fila-estacionadas/fila-estacionadas.component';
import { FiltrosEstacionadasComponent } from './componentes/filtros-estacionadas/filtros-estacionadas.component';
import { ReactiveFormsModule } from '@angular/forms';
import { MatSidenavModule } from '@angular/material/sidenav';
import { DetalleFilaComponent } from './componentes/detalle-fila/detalle-fila.component';
import { BotoneraAccionesPrincipalComponent } from './componentes/botonera-acciones-principal/botonera-acciones-principal.component';
import { FormularioEstacionadaComponent } from './componentes/formulario-estacionada/formulario-estacionada.component';
import { MatButtonModule } from '@angular/material/button';
import { MatDialogModule } from '@angular/material/dialog';
import {MatFormFieldModule} from '@angular/material/form-field';
import {MatInputModule} from '@angular/material/input';
import {MatSelectModule} from '@angular/material/select';
import { MatIconModule } from '@angular/material/icon';
import {MatDatepickerModule} from '@angular/material/datepicker';
import {MatNativeDateModule} from '@angular/material/core';
import { FormularioAsignacionEstacionadasComponent } from './componentes/formulario-asignacion-estacionadas/formulario-asignacion-estacionadas.component';
import {MatListModule} from '@angular/material/list';
import { FormularioRealizacionEstacionadaComponent } from './componentes/formulario-realizacion-estacionada/formulario-realizacion-estacionada.component';

@NgModule({
  declarations: [EstacionadasComponent, TablaEstacionadasComponent, FilaEstacionadasComponent, FiltrosEstacionadasComponent, DetalleFilaComponent, BotoneraAccionesPrincipalComponent, FormularioEstacionadaComponent, FormularioAsignacionEstacionadasComponent, FormularioRealizacionEstacionadaComponent],
  imports: [
    CommonModule,
    EffectsModule.forFeature([EstacionadasEffects.EstacionadasEffects]),
    StoreModule.forFeature("estacionadas", estacionadasReducers),
    ReactiveFormsModule,
    MatSidenavModule,
    MatButtonModule,
    MatDialogModule,
    MatFormFieldModule,
    MatInputModule,
    MatSelectModule,
    MatIconModule,
    MatDatepickerModule,
    MatNativeDateModule,
    MatListModule
  ]
})
export class EstacionadasModule {
  constructor(private store: Store<AppState>) {
    store.dispatch(DesktopActions.registerApplication({app: estacionadasApplication}));
  }
}
