import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import EstacionadaHistorico from '../models/estacionada-historico';

@Injectable({
  providedIn: 'root'
})
export class EstacionadasHistoricosService {

  static SERVICE_URL = "/servicios/estacionada_historico";
  
  httpOptions = {
    headers: new HttpHeaders({'Content-Type': 'application/json'})
  }

  constructor(private http: HttpClient) { }

  create(estacionada_historico: EstacionadaHistorico): Observable<EstacionadaHistorico> {
    return this.http.post<EstacionadaHistorico>(
      EstacionadasHistoricosService.SERVICE_URL,
      estacionada_historico,
      this.httpOptions
    );
  }
}
