import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import EstacionadaMotivo from '../models/estacionada-motivo';

@Injectable({
  providedIn: 'root'
})
export class EstacionadasMotivosService {

  static SERVICE_URL = "/servicios/estacionada_motivo";
  
  httpOptions = {
    headers: new HttpHeaders({'Content-Type': 'application/json'})
  }

  constructor(private http: HttpClient) { }

  get(): Observable<EstacionadaMotivo[]> {
    return this.http.get<EstacionadaMotivo[]>(
      EstacionadasMotivosService.SERVICE_URL,
      this.httpOptions
    );
  }
}
