import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import Tipologia from '../models/tipologia';

@Injectable({
  providedIn: 'root'
})
export class TipologiasService {

  static SERVICE_URL = "/servicios/tipologia";

  httpOptions = {
    headers: new HttpHeaders({'Content-Type': 'application/json'})
  };

  constructor(private httpClient: HttpClient) { }

  getAll(): Observable<Tipologia[]> {
    return this.httpClient.get<Tipologia[]>(
      TipologiasService.SERVICE_URL,
      this.httpOptions
    );
  }
}
