/// <reference lib="webworker" />

import Estacionada from "../models/estacionada";
import * as moment from 'moment';

let intervalHandle:any;
let estacionadas: Estacionada[] = [];

function comprobarActivacion(): void {
  for (const estacionada of estacionadas) {
    const activacion = moment(estacionada.hora_activacion, 'HH:mm');
    const dur = moment.duration(activacion.diff(moment()));
    if (dur.asMinutes() > 0 && dur.asMinutes() < 5) {
      postMessage(estacionada);
    }
  }
}

addEventListener('message', ({ data }) => {
  if (intervalHandle) {
    clearInterval(intervalHandle);
  }
  estacionadas = data as Estacionada[];
  comprobarActivacion();
  intervalHandle = setInterval(comprobarActivacion, 60000);
});
